Package twisted :: Package mail :: Module relaymanager :: Class SmartHostESMTPRelayingManager |
[frames | no frames]

## Class SmartHostESMTPRelayingManager

    SmartHostSMTPRelayingManager --+
                                   |
                                  SmartHostESMTPRelayingManager

Method Summary
Inherited from SmartHostSMTPRelayingManager
| ``__init__`(self, queue, maxConnections, maxMessagesPerConnection)`
| ``__getstate__`(self)` (internal) delete volatile state
| ``__setstate__`(self, state)` (internal) restore volatile state
| ``_cbExchange`(self, address, port, factory)`
| ``_checkStateMX`(self)`
| ``_ebExchange`(self, failure, factory, domain)`
| ``_finish`(self, relay, message)`
| ``checkState`(self)` call me periodically to check I am still up to date
| ``notifyDone`(self, relay)` A relaying SMTP client is disconnected.
| ``notifyFailure`(self, relay, message)` Relaying the message has failed.
| ``notifyNoConnection`(self, relay)` Relaying SMTP client couldn't connect.
| ``notifySuccess`(self, relay, message)` a relay sent a message successfully

Instance Variable Summary
Inherited from SmartHostSMTPRelayingManager
| `fArgs`: Additional positional arguments used to instantiate `factory`.
| `fKwArgs`: Additional keyword arguments used to instantiate `factory`.

Class Variable Summary
`class` | `factory` = `twisted.mail.relaymanager.ESMTPManagedRelayerFactory`
Inherited from SmartHostSMTPRelayingManager
`NoneType` | `mxcalc` = None
`int` | `PORT` = 25

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net